import request from '@/assets/js/utils/request'

// 获取采购计划整体统计
export function getPurchasePlanDetailStatisticsEstimate(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getPurchasePlanDetailStatisticsEstimate',
    method: 'post',
    data
  })
}
// 查询计划统计计划明细
export function getPurchasePlanDetailBelongBkStatisticsList(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getPurchasePlanDetailBelongBkStatisticsList',
    method: 'post',
    data
  })
}
// 采购单统计
export function getProcurementProjectStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getProcurementProjectStatistics',
    method: 'post',
    data
  })
}
// 集采订单统计
export function getProcurementOrderStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getProcurementOrderStatistics',
    method: 'post',
    data
  })
}
// 供应商统计
export function getProcurementSupplierStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getProcurementSupplierStatistics',
    method: 'post',
    data
  })
}
// 供应商top10更多
export function getProcurementSupplierMoreStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getProcurementSupplierMoreStatistics',
    method: 'post',
    data
  })
}
// 查看供应商top10详情
export function queryProcurementSupplierTenderProjectDetails(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/queryProcurementSupplierTenderProjectDetails',
    method: 'post',
    data
  })
}
// 导出供应商top10更多
export function downProcurementSupplierMoreStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downProcurementSupplierMoreStatistics',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 导出供应商查看top10详情
export function downrocurementSupplierTenderProjectDetails(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downrocurementSupplierTenderProjectDetails',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 行项目明细报表列表
export function getPlanPurchaseDetailStatisticsList(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getPlanPurchaseDetailStatisticsList',
    method: 'post',
    data
  })
}
// 行项目明细报表导出
export function purchasePlanDetailStatisticsReport(data) {
  return request({
    // url: '/bidprocurement/procurement-purchasplan/planPurchaseDetailStatistics/purchasePlanDetailStatisticsReport',
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/purchasePlanDetailStatisticsReport',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 成本分析表
export function getProcurementCostCalanalysisStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getProcurementCostCalanalysisStatistics',
    method: 'post',
    data
  })
}
// 导出成本分析表
export function downProcurementCostCalanalysisStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downProcurementCostCalanalysisStatistics',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 采购单报表
export function getProcurementProjectStatisticsReport(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getProcurementProjectStatisticsReport',
    method: 'post',
    data
  })
}
// 导出采购单报表
export function downProcurementProjectStatisticsReport(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downProcurementProjectStatisticsReport',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 计划部报表
// 采购计划处理记录
export function getPurchasePlanPackApplicationStaticticsList(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getPurchasePlanPackApplicationStaticticsList',
    method: 'post',
    data
  })
}
// 计划数据统计路由
export function getPurchasePlanBelongBkDataStatictics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getPurchasePlanBelongBkDataStatictics',
    method: 'post',
    data
  })
}
// 计划归集统计情况
export function getPurchasePlanPackTenderTypeStaticticsList(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getPurchasePlanPackTenderTypeStaticticsList',
    method: 'post',
    data
  })
}
// 集中采购订单情况
export function getPurchasePlanOrderBelongBkStatictics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getPurchasePlanOrderBelongBkStatictics',
    method: 'post',
    data
  })
}
// 采购成本下降情况
export function getPurchaseCostDownStatictics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getPurchaseCostDownStatictics',
    method: 'post',
    data
  })
}
// 计划部报表--采购成本下降情况导出
export function downPurchaseCostDownStatictics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downPurchaseCostDownStatictics',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 供应商审批报表
export function getProcurementSupplierAuditStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getProcurementSupplierAuditStatistics',
    method: 'post',
    data
  })
}
// 导出供应商审批报表
export function downProcurementSupplierAuditStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downProcurementSupplierAuditStatistics',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 成单时间统计表
export function getProcurementProjectOverTimeStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getProcurementProjectOverTimeStatistics',
    method: 'post',
    data
  })
}
// 导出成单时间统计表
export function downProcurementProjectOverTimeStatistics(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downProcurementProjectOverTimeStatistics',
    method: 'post',
    data,
    responseType: 'blob'
  })
}

// 全流程时间节点表
export function getProcurementFullProcessTimeNodeStatisticsList(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getProcurementFullProcessTimeNodeStatisticsList',
    method: 'post',
    data
  })
}

// 全流程时间节点表导出
export function downProcurementFullProcessTimeNodeStatisticsList(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downProcurementFullProcessTimeNodeStatisticsList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 集采采购单统计路由
export function queryPlanPurchaseProjectStatisticsPageList(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/queryPlanPurchaseProjectStatisticsPageList',
    method: 'post',
    data
  })
}
// 集采采购单统计导出
export function downPlanPurchaseProjectStatisticsList(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downPlanPurchaseProjectStatisticsList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}

// 采购单位-采购计划明细报表
export function getPlanPurchaseDetailStatisticsListByDepart(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getPlanPurchaseDetailStatisticsListByDepart',
    method: 'post',
    data
  })
}
// 采购单位-采购计划明细报表导出
export function downPurchasePlanDetailStatisticsReportByDepart(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downPurchasePlanDetailStatisticsReportByDepart',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 计划部报表-计划及时率报表
export function getPurchasePlanTimelyRateStaticticsList(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/getPurchasePlanTimelyRateStaticticsList',
    method: 'post',
    data
  })
}
// 计划部报表-计划及时率导出
export function downPurchasePlanTimelyRateStaticticsList(data) {
  return request({
    url: '/bidprocurement/datacenter-statisticalanalysis/statisticalanalysis/procurementStatisticalanalysis/downPurchasePlanTimelyRateStaticticsList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
